# ComputationInterruptedException (ARX Developer Documentation)

org.deidentifier.arx.exceptions

## Class ComputationInterruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.deidentifier.arx.exceptions.ComputationInterruptedException

- All Implemented Interfaces:
    java.io.Serializable

      public class ComputationInterruptedException
      extends java.lang.RuntimeException

  Local class for interrupts.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComputationInterruptedException()` Constructor
    `ComputationInterruptedException(java.lang.String message)` Constructor
    `ComputationInterruptedException(java.lang.String message, java.lang.Throwable cause)` Constructor
    `ComputationInterruptedException(java.lang.Throwable cause)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputationInterruptedException

          public ComputationInterruptedException()

      Constructor

    - #### ComputationInterruptedException

          public ComputationInterruptedException(java.lang.String message)

      Constructor
      Parameters:
        `message` -

    - #### ComputationInterruptedException

          public ComputationInterruptedException(java.lang.String message,
                                         java.lang.Throwable cause)

      Constructor
      Parameters:
        `message` -
        `cause` -

    - #### ComputationInterruptedException

          public ComputationInterruptedException(java.lang.Throwable cause)

      Constructor
      Parameters:
        `cause` -